PS_OPEN_MEM(3)

NAME
PS_open_mem — Creates a PostScript document in memory

SYNOPSIS

#include <pslib.h>

int PS_open_mem(PSDoc *psdoc, size_t (*writeproc)(PSDoc *p, void *data, size_t size))

DESCRIPTION

Creates a PostScript document in memory. It actually does it by using the given output function instead of using the internal file output function. It is up to the application calling this function, what to do with the data passed to the writeproc. The writeproc must return the number of written bytes. writeproc is usually called at least once within any other function.

RETURN VALUE

Returns -1 in case of an error and 0 otherwise.

SEE ALSO

PS_open_fp(3), PS_open_file(3)

AUTHOR

This manual page was written by Uwe Steinmann uwe@steinmann.cx.